<?php

/**
 * @package heiv-gallery_3
 * @author www.heiv.fr
 * @version 0.3.2
 */
/*
Plugin Name: heiv Gallery 3
Plugin URI: http://www.heiv.fr/wordpress/plugin/gallery3
Description: heiv-gallery_3 is a Wordpress Plug-in that embeds Gallery3 within Wordpress to share photos, videos and any other Gallery3 content seamlessly into the Wordpress Sidebar and Blog entries.
Version: 0.3.2
Author: heiv
Author URI: http://www.heiv.fr
License: GPL3

  Copyright 2010-2012 heiv  (email: moi@heiv.fr )

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 3, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

class heiv_gallery_3_render_dir_table extends heiv_gallery_3_render {
	protected $pattern_css_photo = '';
	protected $pattern_js_gallery= '';

	function heiv_gallery_3_render_dir_table($options=null,$attrs_=null) {

		$this->options = $options;

		extract(shortcode_atts(array(
			'target'=>'_blank',
			'nb_per_lines' => 3,
			'direct_link' => $this->options['g3_directlink'] 
		), $attrs_));

		$this->options['direct_link'] = $direct_link=='false' || $direct_link=='true' ? 
								$direct_link : 
								(isset($options['g3_directlink'])?$options['g3_directlink']:'false');
		$this->cur_id=1;
		$this->options['g3_dir_table_number'] = !is_numeric($nb_per_lines) ? $nb_per_lines : $this->options['g3_dir_table_number'];
		$this->open=false;
	}

	function get_render_album($info) {
		$request = $this->options['permalink'];
		$str_target='';
		$f =  $this->cur_id % $this->options['g3_dir_table_number'] ;
		$calc = $f == 0;
		$str='';
		if(strpos($request,'?')===FALSE) {
			$str_target='?target';
		}
		else {
			$str_target='&target';
		}
		$img = sprintf (
			'<td class="hg3_s_dir_t_alb"><a href="%3$s%10$s=%5$s&id=%4$d"><img src="%2$s" alt="%1$s" title="%1$s"/></a><div><a href="%3$s%10$s=%5$s&id=%4$d">%1$s</a></div><span class="info">%6$s %7$s, %8$d %9$s</span> </td>',
			$info->entity->slug,
			$info->entity->thumb_url_public,
			$request,
			$info->entity->id,
			$info->target,
			$info->entity->view_count,
			_n('view','views',$info->entity->view_count),
			sizeof($info->members),
			_n('item','items',sizeof($info->members)),
			$str_target
		);
		if($this->open) {
			$str.=$img;
			if( $calc ) {
				$str .= "\n</tr>\n";
				$this->open=!$this->open;
			}
		}
		else {
			$str .= "\n<tr>\n";
			$str.=$img;
			$this->open=!$this->open;
		}
		$this->cur_id++;

		return $str;
	}

	function get_render_photo( $info ) {
		$str='';

		$f =  $this->cur_id % $this->options['g3_dir_table_number'] ;
		$calc = $f == 0;
		$img = sprintf('<td class="hg3_s_dir_t_alb"> <a rel="%6$s" href="%5$s" class="thickbox"><img src="%2$s" alt="%1$s"/></a><div><a href="%5$s" class="thickbox">%1$s</a></div><span class="info">%3$d %4$s</span></td>',
			$info->entity->title,
			$info->entity->thumb_url_public,
                        $info->entity->view_count,
                        _n('view','views',$info->entity->view_count),
			$info->entity->resize_url_public,
			$this->options['rdm_id']
		);

		if($this->open) {
			$str.=$img;
			if( $calc ) {
				$str .= "\n</tr>\n";
				$this->open=!$this->open;
			}
		}
		else {
			$str .= "\n<tr>\n";
			$str.=$img;
			$this->open=!$this->open;
		}
		$this->cur_id++;
		return $str;
	}

	function get_render($infos) {
		return parent::get_render($infos,$this->options);
	}

	function register_wp_css() {
		wp_enqueue_style('heiv_gallery_3_render_dir', plugin_dir_url(__FILE__) . 'css/dir.css');
		wp_enqueue_style('thickbox');
	}

	function register_wp_js () {
		wp_enqueue_script('thickbox');
	}

	function get_js_gallery() {
		return '';
	}

	function get_css_photo() {
		return '';
	}
	public function get_form_conf () {
		return sprintf('
<table class="form-table">
	<tr>
		<td style="width:300px">
			<img id="help_dir_table_number" class="ico_info" alt="(info)" src="#">
			<label for="g3_dir_table_number">Number per line</label>
		</td>
		<td>
			<input name="g3_dir_table_number" id="g3_dir_table_number" type="text" value="%s" maxlength="99" size="4"/>
		</td>
	</tr>
</table>
<div class="tooltip" id="tooltip_help_dir_table_number">Number of displayed pictures per line</div>
		',
		$this->options['g3_dir_table_number']);
	}

	public function get_deco_start() {
		return '<table>';
	}

	public function get_deco_end() {
		$str='';
		if($this->open)
			$str.="</tr>";
		return "$str\n</table>";
	}
}
?>
